Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"reference_id": "<string>",
"reference_number": 123,
"status": "PENDING",
"amount": 123,
"transaction_amount": 123,
"transaction_cost": 123,
"customer_key": "<string>",
"currency": "<string>",
"country": "<string>",
"network": "<string>",
"telco_id": "<string>",
"provider_reference": "<string>",
"bank_name": "<string>",
"bank_code": "<string>",
"payment_brand": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"total_pages": 123
}
}{
"success": false,
"message": "Transaction not found",
"data": {}
}Mobile Money Deposits
List Deposit Transactions
Returns a paginated list of the integrator’s deposit transactions. Supports filtering by status, date range, telco ID, and currency.
GET
/
api
/
v3
/
deposit
/
mobile-money
/
transactions
Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"reference_id": "<string>",
"reference_number": 123,
"status": "PENDING",
"amount": 123,
"transaction_amount": 123,
"transaction_cost": 123,
"customer_key": "<string>",
"currency": "<string>",
"country": "<string>",
"network": "<string>",
"telco_id": "<string>",
"provider_reference": "<string>",
"bank_name": "<string>",
"bank_code": "<string>",
"payment_brand": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"total_pages": 123
}
}{
"success": false,
"message": "Transaction not found",
"data": {}
}Returns a paginated list of the integrator’s mobile money deposit transactions. Supports filtering by status, date range, telco/MNO transaction ID, and currency.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Transaction status (e.g. PENDING, SUCCESSFUL, FAILED)
ISO date string, e.g. 2024-01-01
ISO date string, e.g. 2024-12-31
Filter by telco/MNO transaction ID
Filter by currency code, e.g. KES
1-based page index
Items per page (max 100)